> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Optimization Task

> Create optimized portfolio proposals for multiple client accounts in bulk.

This endpoint creates proposals asynchronously. Optimization errors (infeasible/unbounded problems)
will be handled during the async task execution and reflected in the proposal's status and failure_reason field.

Create tasks to optimize portfolio and generate proposals for multiple clients.


## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/optimized_proposals/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/optimized_proposals/:
    post:
      tags:
        - api
      description: >-
        Create optimized portfolio proposals for multiple client accounts in
        bulk.


        This endpoint creates proposals asynchronously. Optimization errors
        (infeasible/unbounded problems)

        will be handled during the async task execution and reflected in the
        proposal's status and failure_reason field.
      operationId: api_v1_custom_org_optimized_proposals_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOptimizedPortfoliosResponse'
          description: ''
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOptimizedPortfoliosConflict'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    CreateOptimizedPortfoliosRequest:
      type: object
      properties:
        account_uuids:
          type: array
          items:
            type: string
        confirmation_fingerprint:
          type: string
          pattern: ^[0-9a-f]{64}$
        require_optimization_ready:
          type: boolean
          default: false
          description: >-
            Reject selected accounts without an assigned portfolio or non-zero
            tax lots.
      required:
        - account_uuids
    CreateOptimizedPortfoliosResponse:
      type: object
      properties:
        sweep_uuid:
          type: string
          format: uuid
        evaluation_date:
          type: string
          format: date
        proposal_uuids:
          type: array
          items:
            type: string
      required:
        - evaluation_date
        - proposal_uuids
        - sweep_uuid
    CreateOptimizedPortfoliosConflict:
      type: object
      properties:
        detail:
          type: string
        unready_uuids:
          type: array
          items:
            type: string
            format: uuid
      required:
        - detail
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.